Upstream information

CVE-2018-19655 at MITRE

Description

A stack-based buffer overflow in the find_green() function of dcraw through 9.28, as used in ufraw-batch and many other products, may allow a remote attacker to cause a control-flow hijack, denial-of-service, or unspecified other impact via a maliciously crafted raw photo file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 5.5
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H
Access Vector Network Local
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High High
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1117896 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP5
SUSE Linux Enterprise Workstation Extension 12 SP5
  • dcraw >= 9.28.0-3.3.1
  • dcraw-lang >= 9.28.0-3.3.1
Patchnames:
SUSE-SLE-WE-12-SP5-2022-1749
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • dcraw >= 9.28.0-3.3.1
  • dcraw-lang >= 9.28.0-3.3.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-1749
SUSE-SLE-WE-12-SP5-2022-1749
SUSE Linux Enterprise Software Development Kit 12 SP5
  • dcraw >= 9.28.0-3.3.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2022-1749
openSUSE Leap 15.3
  • dcraw >= 9.28.0-150000.3.3.1
  • dcraw-lang >= 9.28.0-150000.3.3.1
Patchnames:
openSUSE-SLE-15.3-2022-1277
openSUSE Tumbleweed
  • dcraw >= 9.28.0-1.6
  • dcraw-lang >= 9.28.0-1.6
  • gimp-ufraw >= 0.22-9.4
  • ufraw >= 0.22-9.4
  • ufraw-lang >= 0.22-9.4
Patchnames:
openSUSE Tumbleweed GA dcraw-9.28.0-1.6
openSUSE Tumbleweed GA gimp-ufraw-0.22-9.4


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP4 dcraw Affected
SUSE Linux Enterprise Desktop 12 SP3 dcraw Affected
SUSE Linux Enterprise Desktop 12 SP3 libraw Not affected
SUSE Linux Enterprise Desktop 12 SP4 dcraw Affected
SUSE Linux Enterprise Desktop 12 SP4 libraw Not affected
SUSE Linux Enterprise Desktop 12 SP5 dcraw Released
SUSE Linux Enterprise Desktop 15 libraw Not affected
SUSE Linux Enterprise Desktop 15 SP3 libraw Not affected
SUSE Linux Enterprise Desktop 15 SP4 libraw Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 libraw Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 libraw Not affected
SUSE Linux Enterprise Server 11 SP4 dcraw Affected
SUSE Linux Enterprise Server 12 SP3 dcraw Affected
SUSE Linux Enterprise Server 12 SP3 libraw Not affected
SUSE Linux Enterprise Server 12 SP4 dcraw Affected
SUSE Linux Enterprise Server 12 SP4 libraw Not affected
SUSE Linux Enterprise Server 12 SP5 dcraw Released
SUSE Linux Enterprise Server 15 libraw Not affected
SUSE Linux Enterprise Server 15 SP3 libraw Not affected
SUSE Linux Enterprise Server 15 SP4 libraw Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 dcraw Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 dcraw Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libraw Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 dcraw Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libraw Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 dcraw Released
SUSE Linux Enterprise Server for SAP Applications 15 libraw Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 libraw Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 libraw Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 dcraw Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 dcraw Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libraw Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 dcraw Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libraw Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 dcraw Released
SUSE Linux Enterprise Workstation Extension 12 SP3 dcraw Affected
SUSE Linux Enterprise Workstation Extension 12 SP3 libraw Not affected
SUSE Linux Enterprise Workstation Extension 12 SP4 dcraw Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 libraw Not affected
SUSE Linux Enterprise Workstation Extension 12 SP5 dcraw Released
SUSE Linux Enterprise Workstation Extension 15 libraw Not affected
SUSE Linux Enterprise Workstation Extension 15 SP3 libraw Not affected
SUSE Linux Enterprise Workstation Extension 15 SP4 libraw Not affected
SUSE Manager Proxy 4.3 libraw Not affected
SUSE Manager Retail Branch Server 4.3 libraw Not affected
SUSE Manager Server 4.3 libraw Not affected